Package com.google.protobuf

## Enum TextFormat.Parser.SingularOverwritePolicy

- java.lang.Object
- - java.lang.Enum<TextFormat.Parser.SingularOverwritePolicy>
  - - com.google.protobuf.TextFormat.Parser.SingularOverwritePolicy

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<TextFormat.Parser.SingularOverwritePolicy>`

Enclosing class:
  TextFormat.Parser

    public static enum TextFormat.Parser.SingularOverwritePolicy
    extends java.lang.Enum<TextFormat.Parser.SingularOverwritePolicy>

Determines if repeated values for non-repeated fields and oneofs are permitted. For example, given required/optional field "foo" and a oneof containing "baz" and "qux":

"foo: 1 foo: 2"

"baz: 1 qux: 2"

merging "foo: 2" into a proto in which foo is already set, or

merging "qux: 2" into a proto in which baz is already set.

### Enum Constant Summary

Enum Constants
`ALLOW_SINGULAR_OVERWRITES` The last value is retained.
`FORBID_SINGULAR_OVERWRITES` An error is issued.

### Method Summary

All Methods Static Methods Concrete Methods
`static TextFormat.Parser.SingularOverwritePolicy` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TextFormat.Parser.SingularOverwritePolicy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ALLOW_SINGULAR_OVERWRITES

    public static final TextFormat.Parser.SingularOverwritePolicy ALLOW_SINGULAR_OVERWRITES

The last value is retained.

#### FORBID_SINGULAR_OVERWRITES

    public static final TextFormat.Parser.SingularOverwritePolicy FORBID_SINGULAR_OVERWRITES

An error is issued.

### Method Detail

#### values

    public static TextFormat.Parser.SingularOverwritePolicy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TextFormat.Parser.SingularOverwritePolicy c : TextFormat.Parser.SingularOverwritePolicy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TextFormat.Parser.SingularOverwritePolicy valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null